Module java.desktop
Package javax.swing.plaf.basic

# Class BasicComboPopup.ListMouseMotionHandler

java.lang.Object
java.awt.event.MouseMotionAdapter
javax.swing.plaf.basic.BasicComboPopup.ListMouseMotionHandler

All Implemented Interfaces:
  `MouseMotionListener`, `EventListener`

Enclosing class:
  BasicComboPopup

    protected class BasicComboPopup.ListMouseMotionHandler
    extends MouseMotionAdapter

This listener changes the selected item as you move the mouse over the list. The selection change is not committed to the model, this is for user feedback only.

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `ListMouseMotionHandler()` |

## Method Summary

### Methods declared in class java.awt.event.MouseMotionAdapter

`mouseDragged, mouseMoved`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListMouseMotionHandler

protected ListMouseMotionHandler()